﻿
namespace _132551
{
    using System;
    using System.Collections.ObjectModel;
    using Syncfusion.Windows.Controls.Gantt;

    class ViewModel
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="ViewModel"/> class.
        /// </summary>
        public ViewModel()
        {
            this.TaskCollection = this.GetData();
        }

        /// <summary>
        /// Gets or sets the task collection.
        /// </summary>
        public ObservableCollection<TaskDetails> TaskCollection { get; set; }

        /// <summary>
        /// Gets the task collection.
        /// </summary>
        /// <returns>The task collection.</returns>
        private ObservableCollection<TaskDetails> GetData()
        {
            var taskDetail = new ObservableCollection<TaskDetails>();
            taskDetail.Add(new TaskDetails { TaskId = 1, TaskName = "Root Task 1" });
            taskDetail[0].Child.Add(new TaskDetails { TaskId = 1, TaskName = "Sub Task 1", StartDate = new DateTime(2017, 9, 4), FinishDate = new DateTime(2017, 9, 6), Progress = 47 });
            taskDetail[0].Child.Add(new TaskDetails { TaskId = 1, TaskName = "Sub Task 2", StartDate = new DateTime(2017, 9, 5), FinishDate = new DateTime(2017, 9, 8), Progress = 70 });
            return taskDetail;
        }
    }
}
